# Write your code here :-)

#Bridget F and Caitlyn Y Assitive Tech
import board, digitalio, neopixel, random, time
from adafruit_debouncer import Button


strand = neopixel.NeoPixel(board.A3, 20)

button1_input = digitalio.DigitalInOut(board.A1) # Wired to A1
button1_input.switch_to_input(digitalio.Pull.UP) # Note: Pull.UP for external buttons
button1 = Button(button1_input) # NOTE: False for external buttons

button2_input = digitalio.DigitalInOut(board.A2) # Wired to GP16
button2_input.switch_to_input(digitalio.Pull.UP) # Note: Pull.UP for external buttons
button2 = Button(button2_input)

from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile

# set up the speaker
speaker = digitalio.DigitalInOut(board.SPEAKER_ENABLE)
speaker.direction = digitalio.Direction.OUTPUT
speaker.value = True
audio = AudioOut(board.SPEAKER)


path = "assistive-tech-sounds/"

global color
RED = (255, 0, 0)
YELLOW = (255, 255, 0)

def play_sound(filename, chosen_balloon, color):
    global sorted_house
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            if(filename == "whoosh.wav"):
                # for x in range(0,100,1):
#                     strand.brightness = x/100
#                     time.sleep(0.2)
                pass
            elif filename == "cheer.wav":
                strand.brightness = 100
                sparkle(chosen_balloon)
            elif filename == "balloon_pop.wav":
                strand.brightness = 100
                strand[chosen_balloon] = color

def sparkle(chosen_balloon):
    for x in range(0,5):
        strand[chosen_balloon] = (255,0,0)
        time.sleep(0.1)
        strand[chosen_balloon] = (0,0,0)
        time.sleep(0.1)

balloons =  [0,1,2,3,4,5,6,7,8,10,12,14] # where odd numbers are misses
chosen_balloon = 0
while True:
    button1.update()
    button2.update()
    """for x in range(0,20):
        strand[x] = (0,255,0)
        time.sleep(1)"""
    strand.fill((0,0,0))

    if button1.pressed: #or button2.pressed:
        print(f"balloon chosen: {chosen_balloon}")
        chosen_balloon = random.choice(balloons)
        strand[chosen_balloon] = RED
        play_sound("whoosh.wav",chosen_balloon,RED)

        if chosen_balloon%2 != 0:
            play_sound("miss.wav",chosen_balloon,RED)
        else:
            play_sound("balloon_pop.wav",chosen_balloon,RED)
            play_sound("cheer.wav",chosen_balloon,RED)
            strand[chosen_balloon] = RED
            time.sleep(1)
            strand.fill((0,0,0))
    if button2.pressed:
        print(f"balloon chosen: {chosen_balloon}")
        chosen_balloon = random.choice(balloons)
        strand[chosen_balloon] = YELLOW
        play_sound("whoosh.wav",chosen_balloon,YELLOW)

        if chosen_balloon%2 != 0:
            play_sound("miss.wav",chosen_balloon,RED)
        else:
            play_sound("balloon_pop.wav",chosen_balloon,YELLOW)
            play_sound("cheer.wav",chosen_balloon,RED)
            strand[chosen_balloon] = RED
            time.sleep(1)
            strand.fill((0,0,0))





